Skip to main content
PATCH
/
v1
/
topics
/
{topicKey}
TopicsController_renameTopic
import { Novu } from "@novu/api";

const novu = new Novu({
  apiKey: "<YOUR_API_KEY_HERE>",
});

async function run() {
  const result = await novu.topics.rename("<value>", {
    name: "<value>",
  });

  // Handle the result
  console.log(result)
}

run();
curl --request PATCH \
--url https://api.novu.co/v1/topics/{topicKey} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'
import requests

url = "https://api.novu.co/v1/topics/{topicKey}"

payload = { "name": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};

fetch('https://api.novu.co/v1/topics/{topicKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "_organizationId": "<string>",
  "_environmentId": "<string>",
  "key": "<string>",
  "name": "<string>",
  "subscribers": [
    "<string>"
  ],
  "_id": "<string>"
}
"Request with key 3909d656-d4fe-4e80-ba86-90d3861afcd7 is currently being processed. Please retry after 1 second"
"API rate limit exceeded"
"Please wait some time, then try again."
Enter your API key in the Authorization field like the example shown below:E.g ApiKey 18d2e625f05d80e

Authorizations

Authorization
string
header
required

API key authentication. Allowed headers-- "Authorization: ApiKey <api_key>".

Path Parameters

topicKey
string
required

Body

application/json
name
string
required

User defined custom name and provided by the user to rename the topic.

Response

Ok

_organizationId
string
required
_environmentId
string
required
key
string
required
name
string
required
subscribers
string[]
required
_id
string